%define piname	weatherfax_pi
%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3

Name:		opencpn-weatherfax-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.10.12.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/weatherfax.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     weatherfax-plugin-1.10.12-Configure.patch
# link against system libaudiofile
Patch3:		weatherfax_pi-1.10.12.0-system-audiofile.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:       opencpn
Provides:	%{piname} = %{version}

%description
Can open image files directly, or decode audio faxes to an image.
With simple calibration, resulting image is overlaid on top of charts.
Converts images in Mercator, polar, conic and uniform coordinates.
Can convert any image into a raster chart.
Built-in database for HF radio fax stations via SSB.
Built-in database for internet retrieval from meteorological sites.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/


# To be sure to use system libaudiofile
rm -rf src/libaudiofile

# No more Aviationweather data provider
rm -f data/WeatherFaxInternetRetrieval_Aviation_Weather-old.xml

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sun Feb 02 2025 philippedidier <philippedidier> 1.10.12.0-1.mga9
+ Revision: 2144737
- new version 1.10.12.0 improved- and based on last opencpn-libs- with new list of fax providers
- new version 1.9.111.1 correcting some bugs in data
- no more aviationweather fax provided by NOAA
- correct typos in ASCAT addresses add some ASCAT addresses
- new version 1.9.110.1-git20231106
- rebuilt for updated audiofile

* Tue May 30 2023 philippedidier <philippedidier> 1.9.56.0-1.mga9
+ Revision: 1959957
- new version 1.9.56.0 built upon wxgtku 3.2

* Sat Feb 25 2023 philippedidier <philippedidier> 1.9.54-2.mga9
+ Revision: 1945405
- New version 1.9.54 add other data providers add coordinates for hurricanes

* Mon Jul 18 2022 philippedidier <philippedidier> 1.9.40.0-2.mga9
+ Revision: 1869294
- rebuilt with program source 1.19.18 but database 1.19.40 - some bug in program source 1.19.39 prevent to activate it

* Sun Jul 10 2022 philippedidier <philippedidier> 1.9.39.0-1.mga9
+ Revision: 1868284
- New version 1.9.39.0

* Sun Apr 03 2022 umeabot <umeabot> 1.9.18.0-2.mga9
+ Revision: 1842501
- Mageia 9 Mass Rebuild

* Tue Jul 13 2021 barjac <barjac> 1.9.18.0-1.mga9
+ Revision: 1735872
- new version 1.9.18.0
- rediff patch
- new Source0 and Url

* Mon Jul 12 2021 barjac <barjac> 1.9.001-7.mga9
+ Revision: 1735765
- Build with wxgtku3.0 not 3.1

* Fri Jan 01 2021 wally <wally> 1.9.001-6.mga8
+ Revision: 1667720
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.9.001-5.mga8
+ Revision: 1614361
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.9.001-4.mga8
+ Revision: 1538687
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.9.001-3.mga8
+ Revision: 1459484
- rebuild for wxgtk 3.1.3

* Sun Jul 14 2019 wally <wally> 1.9.001-2.mga8
+ Revision: 1421060
- rebuild with gtk3 enabled wxgtk 3.1.2

* Fri Apr 19 2019 barjac <barjac> 1.9.001-1.mga7
+ Revision: 1393309
- new version 1.9.001
- re-diffed patch

* Sun Sep 23 2018 umeabot <umeabot> 1.8.002-3.mga7
+ Revision: 1300002
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 1.8.002-2.mga7
+ Revision: 1244933
- fix plugin install dir on x84_64 and aarch64
- own plugin dirs

* Thu Apr 12 2018 barjac <barjac> 1.8.002-1.mga7
+ Revision: 1217703
- new version 1.8.002
- re-diffed patch

* Thu Dec 28 2017 barjac <barjac> 1.7.001-1.mga7
+ Revision: 1186607
- new version 1.7.001
- dont own %%{_libdir}/opencpn
- re-diff weatherfax_pi-system-audiofile.patch
- new BR pkgconfig(librtlsdr)

* Mon Oct 09 2017 cjw <cjw> 1.6.001-3.mga7
+ Revision: 1170485
- patch1: use system libaudiofile + system tinyxml header

* Sat Jun 03 2017 akien <akien> 1.6.001-2.mga6
+ Revision: 1106118
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 1.6.001-1.mga6
+ Revision: 1059877
- new version 1.6.001

* Thu Jun 02 2016 daviddavid <daviddavid> 1.5.001-3.mga6
+ Revision: 1019839
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.5.001-2.mga6
+ Revision: 962355
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.5.001-1.mga6
+ Revision: 908797
- new package opencpn-weatherfax-plugin

